Any advice on big upgrade lenny->jessie?

Boylan, Ross Ross.Boylan at ucsf.edu
Tue May 23 19:51:38 UTC 2017


Is the following test in cyrus-common.postinst (from 2.4) right?
        if [ -f /usr/lib/cyrus/cyrus-db-types.active ]; then
            /usr/lib/cyrus/bin/upgrade-db
            RET="$?"
            case "$RET" in
                0) ;;
                2)  
                    echo "ERROR: Upgrading of database backends failed." 1>&2
                    echo "ERROR: Please check the output, fix errors and re-run /usr/lib/cyrus/bin/upgrade-db" 1>&2
                    echo "ERROR: script, before trying to start cyrus-imapd." 1>&2
                    ;;
                1|*)
                    echo "ERROR: Upgrading of database backends failed with a fatal error." 1>&2
                    echo "ERROR: Please check /usr/share/doc/cyrus-common/README.Debian*" 1>&2
                    echo "ERROR: for instructions how to upgrade cyrus databases manually." 1>&2
                    exit $RET;
                    ;;
            esac
        fi

Should it be ! -f?

At the moment, if I don't have db-types.active it is never created.  I originally this was the result of BDB failures, but perhaps not.

On the BDB failures I'm getting, it seems that cyrusdb_init() in cyrusdb.c unconditionally initializes all known (at compile time) db types and so it attempts to set up bdb even though none of my databases are using it.  I ran into the puzzle above while looking for the code that set up the directories.

Ross


More information about the Pkg-Cyrus-imapd-Debian-devel mailing list